if !exists("b:sh_indent_options")
 let b:sh_indent_options = {}
endif

let b:sh_indent_options['continuation-line'] = 2

if executable('shfmt')
  let &l:formatprg='shfmt -i ' . &l:shiftwidth . ' -ln posix -sr -ci -s'
endif

" force Man to be used along side lsc
nnoremap <buffer> K :Man <c-r><c-w><CR>

" allow for commands with - in the name
set iskeyword+=-
