# Programas
alias \
		v='$EDITOR' \
		x='xbps-menu' \
		m='neomutt' \
		z='zathura' \
		g='git' \
		vv='nvi' \
		se='doas nvim' \
		am='alsamixer -c 1' \
		pm='pulsemixer' \
		nb='newsboat -q' \
		py='python ' \
		irc='catgirl' \
		ttx='txtnish timeline' \
		ytv='straw-viewer' \
		vdf='nvim -d' \
		sxiv='sxiv-rifle' \
		play='mpd && ncmpcpp' \
		news='neomutt -G' \
		mumble='barnard -certificate ~g./barnard/dgy.pem -insecure -password Texto-plano' \
		pyserv='python -m http.server'

# XBPS
alias \
		xk='xbps-query' \
		deps='xbps-query -vRx' \
		upa='doas xi' \
		revdeps='xbps-query -vRX' \
		xp='xpkg -m > ~/doc/xbpaketes'

# Tmux
if [[ -n $TMUX ]]; then
  alias txa='tmux switch-client -t'
else
  alias txa='tmux attach-session -t'
fi
alias \
		txn='tmux new-session -s' \
		txk='tmux kill-session -t' \
		txz='tmux kill-server'

# LaTeX
alias \
		lxs='tlmgr search --global' \
		lxl='tlmgr search' \
		lxi='doas tlmgr install'

# Transmission
alias \
		tsk='pkill transmission-da' \
		ts='transmission-remote' \
		tsl='transmission-remote --list' \

# Dotfiles
alias \
		hxa='hx add -v' \
		hxu='hx add -vu' \
		hxc='hx commit' \
		hxs='hx status' \
		hxl='hx log --stat' \
		hxd='hx rm -r --cached' \
		hxr='hx rm --cached'

# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias \
		chmod='chmod -v' \
		chown='chown -v' \
		mv='mv -iv' \
		rmdir='rmdir -v' \
		mkdir='mkdir -pv' \
		cp='cp -raiv' \
		rm='rm -Iv' \
		ln='ln -iv' \
		mount='mount -v' \
		umount='umount -v'

# Colores para pintar este twist
alias \
		diff='diff --color=auto' \
		ls='ls -AFt --color=always --group-directories-first' \
		grep='grep --color=tty -d skip' \
		dmesg='dmesg --color=always' \
		vsv='doas vsv -c yes' \
		ip='ip -c' \

# Con opciones por defecto
alias \
		ll='ls -coghptFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"' \
		sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS}' \
		lsblk='lsblk -o "KNAME,HOTPLUG,SIZE,FSTYPE,TYPE,LABEL,MOUNTPOINT,UUID,MODEL,SERIAL"' \
		df='df -hT --total' \
		free='free -ht' \
		du='du -sh' \
		ping='ping -c 5' \
		dd='dd status=progress' \
		dfc='dfc -dmT' \
		wget='wget --no-hsts'

if [[ -z $DISPLAY ]]; then
		alias links='links -g'
fi

# Comandos
alias \
		sudo='doas ' \
		reboot='loginctl reboot' \
		shutdown='loginctl poweroff' \
		path='echo -e ${PATH//:/\\n}' \
		wp='sxiv-rifle ~/img/wallpaper >/dev/null 2>&1' \
		pwn='chmod +x' \
		atl='atool --each --extract' \
		rat='tar -xvJf' \
		mpk='mpd --kill' \
		um='udevil mount' \
		uu='udevil umount'
