foreach plugin (
	zsh-autopair/autopair.plugin.zsh
	zsh-system-clipboard/zsh-system-clipboard.plugin.zsh
	zsh-history-substring-search/zsh-history-substring-search.plugin.zsh
	forgit/forgit.plugin.zsh
) {
	source $ZDOTDIR/conf/$plugin
}

FORGIT_COPY_CMD='xclip -selection clipboard'

FORGIT_LOG_FZF_OPTS='
--bind="ctrl-e:execute(echo {} |grep -Eo [a-f0-9]+ |head -1 |xargs git show |vim -)"
'

HISTORY_SUBSTRING_SEARCH_ENSURE_UNIQUE=1
typeset -g ZSH_SYSTEM_CLIPBOARD_TMUX_SUPPORT='true'
