" Settings
scriptencoding utf-8

set inccommand=nosplit
set clipboard^=unnamedplus
set number
set noshowmode
set signcolumn=auto:1
set noswapfile
set hidden
set lazyredraw
set matchpairs+=<:>
set updatetime=100
set splitbelow
set splitright
set notimeout
set ignorecase
set scrolloff=5
set sidescroll=5
set shortmess+=aoIOWsc
set foldmethod=marker
set foldclose=all
set foldlevelstart=10
set nosmarttab
set ttimeoutlen=10
set nowritebackup
set undofile
set undolevels=1000
set undoreload=10000
set nrformats+=alpha
set complete+=kspell
set completeopt=menu,menuone,noinsert,noselect
set listchars+=precedes:<,extends:>
set diffopt+=algorithm:histogram,indent-heuristic
set diffopt+=foldcolumn:0
set diffopt+=vertical
set fillchars=diff:\ ,eob:\ ,stlnc:\ ,stl:\ ,vert:\│
set formatoptions=tnqj
let formatlistpat='^\s*\(\d\+[\]:.)}\t ]\|[*-][\t ]\)\s*'
match ErrorMsg '^\(<\|=\|>\)\{7\}\([^=].\+\)\?$'
